unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Forms, DBGrids, LResources, Classes, sysutils, db,
  sqlite3conn, sqldb;

type

  { TForm1 }

  TForm1 = class(TForm)
    Datasource1: TDataSource;
    DBGrid1: TDBGrid;
    SQLite3Connection1: TSQLite3Connection;
    SQLQuery1: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    procedure FormCreate(Sender: TObject);
  end;

var
  Form1: TForm1;
  SQLiteFile: string;
  DatabaseFile: string;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);

  procedure CreateFile(aFileName, aResourceName: string);
  var
    F: TFileStream;
    r: TLResource;
  begin
    r := LazarusResources.Find(aResourceName);
    if not Assigned(r) then
      raise Exception.Create('Resource ' + aResourceName + ' is missing');
    F := TFileStream.Create(aFileName, fmCreate);
    try
      F.Write(r.Value[1], Length(r.Value));
    finally
      F.Free;
    end;
  end;

begin
  SQLiteFile := ExtractFilePath(ParamStr(0)) + 'sqlite3.dll';
  DatabaseFile := ExtractFilePath(ParamStr(0)) + 'test.db';
  CreateFile(SQLiteFile, 'sqlite3');
  CreateFile(DatabaseFile, 'test');

  SQLite3Connection1.Connected := True;
  SQLQuery1.SQL.Text:='SELECT name, nachname FROM personen;';
  SQLQuery1.Open;
end;

initialization

{$I project1.lrs}

finalization;

if FileExists(SQLiteFile) then DeleteFile(SQLiteFile);
if FileExists(DatabaseFile) then DeleteFile(DatabaseFile);

end.

